body {
    height: 100vh;
    background: linear-gradient(135deg, #020617, #0f172a);
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Segoe UI", sans-serif;
}
body {
    padding: 15px;
    box-sizing: border-box;
}
* {
    box-sizing: border-box;
}


.auth-wrapper {
    width: 100%;
    max-width: 360px;
    background: #020617;
    border-radius: 12px;
    padding: 30px;
    color: #e5e7eb;
    position: relative;
    overflow: hidden;
}

.stage {
    position: absolute;
    width: 100%;
    opacity: 0;
    transform: translateX(40px);
    transition: all 0.4s ease;
    pointer-events: none;
}

.stage.active {
    opacity: 1;
    transform: translateX(0);
    pointer-events: auto;
    position: relative;
}

h2 {
    text-align: center;
    margin-bottom: 15px;
}

input {
    width: 100%;
    margin-top: 10px;
    padding: 10px;
    background: #020617;
    border: 1px solid #334155;
    border-radius: 6px;
    color: white;
}

button {
    width: 100%;
    margin-top: 20px;
    padding: 12px;
    background: #22c55e;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 15px;
}

button:hover {
    background: #16a34a;
}

a {
    display: block;
    margin-top: 12px;
    text-align: center;
    color: #38bdf8;
    cursor: pointer;
    font-size: 13px;
}

p {
    font-size: 13px;
    color: #94a3b8;
    text-align: center;
}
@media (max-width: 480px) {

    .auth-wrapper {
        padding: 20px;
        border-radius: 10px;
    }

    h2 {
        font-size: 18px;
    }

    input {
        padding: 12px;
        font-size: 14px;
    }

    button {
        padding: 14px;
        font-size: 14px;
    }
}
